--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: "TODO: document @api semipublic"
full_name: DataMapper::Adapters::YamlAdapter#read
is_singleton: false
name: read
params: (query)
visibility: public
